@charset "utf-8";
/*
 * Author: Uwe Jakoby
 * Version: 3.0
 */


:root {
   --main-color: #333333;
   --l: 20%;
   --main-color: hsl(0, 0%, var(--l));
   --link-color: darkblue;
   --main-bg-color: #ffffff;
   --box-bg-color: #f8f8f8;
   --line-color: lightgray;
   --fontsize-increment: 0px;
}

body.dark-mode {
   --main-color: #ffffff;
   --l: 100%;
   --main-color: hsl(0, 0%, var(--l));
   --link-color: orange;
   --main-bg-color: #000000;
   --box-bg-color: #222222;

}

body {
  font-family: Ubuntu, sans-serif;
  font-size: 1.0em;
  color: var(--main-color);
  background: var(--main-bg-color);
}
h1 {
  font-family: 'Concert One', cursive;
  font-size: 2.5em;
}
h2 {
  font-family: 'Concert One', cursive;
  font-size: 1.4em;
}
h3 {
  font-size: 1.2em;
}
h4 {
  font-size: 1.0em;
  font-weight: bold;
  margin-top: 15px;
  margin-bottom: 5px;
}

body {
  padding-top: 70px;
}

#page {
  max-width: 1080px;
  margin: 0 auto;
  padding: 0;
}

noscript {
  font-size: 1em;
  line-height: 2em;
  text-align: center;
}

header {
  position: relative;
}

#overlay {
  position: absolute;
  top: 15%;
  left: 5%;
  width: auto;
  font-size: 3.5vw;
   /* calc([min size] + ([max size] - [min size]) * ((100vw - [min viewport width]) / ([max viewport width] - [min viewport width]))); */
  font-size: calc(17px + 25 * ((100vw - 480px) / 720));
  padding: 0.5em 1em;
  text-align: center;
  background-color: transparent;
}
#overlay h1 {
  font-size: 100%;
  color: #777;
  white-space: pre;
  margin: 0;
}

#logo {
  background: url("../graphics/logo3.svg") no-repeat 0 0;
  background-size: contain;
  width: 135px;
  height: 30px;
  text-indent: -1000px;
}

nav {
  padding: 0 2.5em;
}



.navbar-nav > li > span {
  display: inline-block;
  padding: 15px 15px;
  font-weight: bold;
}
  
.navbar-default .navbar-brand {
  padding-top: 12px;
  padding-bottom: 8px;
}


main {
  padding: 2em 1em;
}

section {
  border-bottom: 5px solid var(--line-color);
  padding: 5em 1.5em;
}
section:first-child {
  border-top: 5px solid var(--line-color);
}


a {
  color: var(--link-color);
}
a:link {
  color: var(--link-color);
}
a:visited {
  color: var(--link-color);
}
a:hover {
  color: var(--link-color);
  text-decoration: underline;
}
a:active {
  color: var(--link-color);
}

.label-contact {
  display: inline-block;
  width: 4em;
}

figure  {
  margin: 3em 0 0 0;
  padding: 0;
/*   border: 1px solid #999;
  box-shadow: 0px 8px 6px -6px #888; */
}

figure figcaption {
  color: gray;
  font-size: 0.9em;
  margin-top: 1em;
}

figure img {
  max-width: 100%;
  height: auto;

}

figure img.screenshot {
  border: 1px solid lightgrey;
  box-shadow: 5px 10px 10px grey;
}

header.site-header figure {
  margin: 0;
}

header.site-header figure img {

}

header.site-header figure  figcaption {
  color: lightgray;
  font-size: 0.8em;
  margin-top: 0;
  padding-right: 5em;
  text-align: right;
}


.galerie img {
  margin: 2em 2em 0 0;
}



.multicolumn {
  max-width: 1200px;
  -moz-column-width: 300px;
  -moz-column-count: 3;
  -moz-column-rule-color: red;
  -moz-column-rule-width: 1px;
  -moz-column-rule-style: dotted;
  -moz-column-gap: 2em;
  column-width: 300px;
  column-count: 3;
  column-rule-color: red;
  column-rule-width: 1px;
  column-rule-style: dotted;
  column-gap: 2em;

}
.multicolumn p { 
   -moz-hyphens: auto;
   -o-hyphens: auto;
   -webkit-hyphens: auto;
   -ms-hyphens: auto;
   hyphens: auto; 
}

main ul {
  list-style-image: url("../graphics/bullet.png");
  margin: 10px 0;
  padding-left: 1em;
}

main ul li {
  padding-left: 2px;
}

.red {
  color: rgb(158, 16, 16);
}
.blue {
  color: rgb(45, 81, 157);
}
.note {
  font-size: 0.8em;
  color: gray;
}

footer {
  /* text-align: center; */
  /* min-height: 6em; */
  padding: 2em;
}

footer #copyright,
footer #lastupdate,
footer #fallback-nav  {
  padding: 0 1.5em;
}

footer small {
  color: gray;
}

.js footer #fallback-nav {
  display: none !important;
}

footer #fallback-nav {
  border-bottom: 5px solid var(--line-color);
  padding-top: 1em;
  padding-bottom: 5em;
  margin-bottom: 4em;
}

footer #fallback-nav  ul {
  display: -webkit-box; 
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex; 
  display: flex;
  -moz-flex-direction: column;
  -webkit-flex-direction: column;
  flex-direction: column;
  margin: 0;
  padding: 0;
  list-style: none;
}

footer #fallback-nav  ul li {
  margin: 5px 0;
}

footer #fallback-nav  ul li a {
  color: #555;
  text-decoration: none;
  position: relative;
}

footer #fallback-nav  ul li a::after {
  display: block;
  position: absolute;
  left: 0;
  width: 0;
  content: '';
  padding-bottom: 5px;
  border-bottom: 3px solid blue;
  -moz-transition: width 0.4s ease;
}

footer #fallback-nav  ul li a:hover {
  color: #333;
}

footer #fallback-nav  ul li a:hover::after {
  width: 100%;
}

/*--- to Top Button ------------------------------------------------------*/
.toTop {
  position: fixed;
  bottom: 4em;
  right: 25px;
  min-width: 30px;
  text-decoration: none;
  color: #777777;
  background-color: rgba(248, 248, 248, 0.8);
  font-size: 0.8em;
  padding: 0.8em;
  border: 1px solid #ddd;
  border-radius: 4px;
  cursor: pointer;
  display: none;
}

.toTop:hover {
  background-color: #ddd;
}

.toTop .text-up {
  margin-left: 4px;
}

/*--- Dark Mode / Light Mode Button --------------------------------------*/
body.no-js #settings {
  display: none;
}
#settings {
  position: fixed;
  right: 25px;
  bottom: 6em;
}

#settings  .container {
  display: flex;
  flex-direction: column;
}
#settings .container button {
  width: 30px;
  height: 30px;
  background-color: rgba(248, 248, 248, 0.8);
  border: 1px solid #ddd;
  border-radius: 4px;
  padding: 4px;
  text-align: center;
  margin-bottom: 2px;
}

#settings .container button:hover {
  background-color: #ddd;
}

#settings input[type='range'] {
  position: absolute;
  width: 60px;
  top: 50px;
  right: 20px;
  transform: rotate(-90deg);
}

body button#toggle-theme  span {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url('/assets/graphics/moon.svg') no-repeat;

}
body.dark-mode button#toggle-theme  span {
  background: url('/assets/graphics/sun.svg') no-repeat;
}


/*--- Hamburger Close Toggle Button -----------------------------------*/
.navbar-toggle .icon-bar {
  position: relative;
}
.navbar-toggle[aria-expanded='false'] .icon-bar {
  -ms-transition: all 0.2s ease-in;
  -ms-transform: rotate(0deg);
  -webkit-transition: all 0.2s ease-in;
  -webkit-transform: rotate(0deg);
  transition: all 0.2s ease-in;
  transform: rotate(0deg);
}

.navbar-toggle[aria-expanded='true'] .icon-bar:nth-child(3) {
  display:none;
}

.navbar-toggle[aria-expanded='true'] .icon-bar:nth-child(2) {
  top: 3px;
  -webkit-transform: rotate(45deg);
  -webkit-transition: all 0.2s ease-in;
  -ms-transform: rotate(45deg);
  -ms-transition: all 0.2s ease-in;
  transform: rotate(45deg);
  transition: all 0.2s ease-in;
}
.navbar-toggle[aria-expanded='true'] .icon-bar:nth-child(4) {
  top: -3px;
  -webkit-transform: rotate(-45deg);
  -webkit-transition: all 0.2s ease-in;
  -ms-transform: rotate(-45deg);
  -ms-transition: all 0.2s ease-in;
  transform: rotate(-45deg);
  transition: all 0.2s ease-in;
}

.navbar-toggle[aria-expanded='true'] {
  padding: 12px 10px;
}

/*--- Animations ------------------------------------------------------*/
.js .ani {
  opacity: 0;
  transition: 2s all;
  -moz-transition: 2s all;
  -webkit-transition: 2s all;
  -o-transition: 2s all;
  -ms-transition: 2s all;
}

.js .ani.fromBottom {
  position: relative;
  bottom: -80px;
}
.js .ani.fromBottom.inView {
  bottom: 0;
  opacity: 1;
}

@keyframes fadein {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
  }
}
@-moz-keyframes fadein{0%{opacity:0;}100%{opacity:1;}}
@-webkit-keyframes fadein{0%{opacity:0;}100%{opacity:1;}}
@-o-keyframes fadein{0%{opacity:0;}100%{opacity:1;}}

#privacy-policy {
   animation: fadein 3s;
  -moz-animation: fadein 3.0s;
  -webkit-animation: fadein 3s;
}

figure img#img_dark {
  display: none;
}

/*--- Theme Dark ---------------------------------------------------------*/

.dark-mode figure img#img_light {
  display: none;
}

.dark-mode figure img#img_dark {
  display: inline;
}

.dark-mode #overlay {
  background-image: radial-gradient(ellipse,darkblue,transparent 80%);
}

.dark-mode .toTop {
  color: #ffffff;
  background: #080808;
  border: 1px solid #333333;
}
.dark-mode .toTop:hover {
  background: #333333;
}

.dark-mode #settings .container button {
  color: #ffffff;
  background: #080808;
  border: 1px solid #333333;
}

.dark-mode #settings .container button:hover {
  background: #333333;
}


/*--- Media Queries ------------------------------------------------------*/
@media (max-width:768px) {
  .hideonmobile {
    display: none;
  }
}

@media (min-width: 1200px) {
  html {
    font-size: calc(100% + var(--fontsize-increment, 0px));
  }
  #overlay {
    font-size: 42px; /* max-size */
  }
}

@media (min-width: 768px) and (max-width: 1199px) {
  html {
    font-size: calc(87.5% + var(--fontsize-increment, 0px));
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  html {
    font-size: calc(81.25% + var(--fontsize-increment, 0px));
  }
  section {
    border-bottom: 4px solid var(--line-color);
  }
  section:first-child {
    border-top: 4px solid var(--line-color);
  }
}

@media (max-width: 480px) {
  html {
    font-size: calc(75.0% + var(--fontsize-increment, 0px));
  }
  #overlay {
    font-size: 17px; /* min-size */
    padding: 0.5em;
  }
  header.site-header figure  figcaption {
    padding-right: 3em;
  }
  section {
    border-bottom: 3px solid var(--line-color);
  }
  section:first-child {
    border-top: 3px solid var(--line-color);
  }
}

@media (prefers-color-scheme: dark) {
  :root {
  }
  /*
  img {
    filter: brightness(.8) contrast(1.2);
  }
  */
  /*
  .galerie img {
    opacity: .8;
    transation: opacity .3s ease-in-out;
  }
  .galerie img:hover {
    opacity: 1;
  }
  */
}

@supports (color:var(--main-color)) {

}

@supports not (color:var(--main-color)) {

}








